Package twisted :: Package mail :: Module maildir :: Class MaildirMailbox

[frames | no frames]

## Class MaildirMailbox

    Mailbox --+
              |
             MaildirMailbox

Implement the POP3 mailbox semantics for a Maildir mailbox

Method Summary
| ``__init__`(self, path)` Initialize with name of the Maildir mailbox
| ``deleteMessage`(self, i)` Delete a message
| ``getMessage`(self, i)` Return an open file-pointer to a message
| ``getUidl`(self, i)` Return a unique identifier for a message
| ``listMessages`(self, i)` Return a list of lengths of all files in new/ and cur/
| ``undeleteMessages`(self)` Undelete any deleted messages it is possible to undelete
Inherited from Mailbox
| ``sync`(self)`

Class Variable Summary
Inherited from Mailbox
`tuple` | `__implements__` = `(<class twisted.protocols.pop3.IMailbox...`

Method Details

### __init__(self, path)
(Constructor)

Initialize with name of the Maildir mailbox

### deleteMessage(self, i)

Delete a message

This only moves a message to the .Trash/ subfolder, so it can be undeleted by an administrator.

  Overrides:
    `twisted.protocols.pop3.Mailbox.deleteMessage`

### getMessage(self, i)

Return an open file-pointer to a message

  Overrides:
    `twisted.protocols.pop3.Mailbox.getMessage`

### getUidl(self, i)

Return a unique identifier for a message

This is done using the basename of the filename. It is globally unique because this is how Maildirs are designed.

  Overrides:
    `twisted.protocols.pop3.Mailbox.getUidl`

### listMessages(self, i=None)

Return a list of lengths of all files in new/ and cur/

  Overrides:
    `twisted.protocols.pop3.Mailbox.listMessages`

### undeleteMessages(self)

Undelete any deleted messages it is possible to undelete

This moves any messages from .Trash/ subfolder back to their original position, and empties out the deleted dictionary.

  Overrides:
    `twisted.protocols.pop3.Mailbox.undeleteMessages`

Generated by Epydoc 2.0 on Sat May 15 20:07:56 2004 | http://epydoc.sf.net